=== src/data/complete/CMakeLists.txt ===
ADD_SUBDIRECTORY( abbreviation )
ADD_SUBDIRECTORY( tex )
ADD_SUBDIRECTORY( dictionary )
