=== src/data/icons/CMakeLists.txt ===
ADD_SUBDIRECTORY( actions )

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )
