=== src/data/complete/tex/CMakeLists.txt ===

FILE(GLOB kile_texCompleteFiles *.cwl)
INSTALL( FILES ${kile_texCompleteFiles} DESTINATION ${DATA_INSTALL_DIR}/kile/complete/tex )
