=== src/data/icons/actions/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${DATA_INSTALL_DIR}/kile/icons  )
