=== debian/changelog ===
kile (4:2.1.3-4) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmap, since kile already provides a .desktop file.
  * Stop installing CODE-FORMATTING-STYLE.txt as documentation, as it is
    development-related (and thus not interesting for users).
  * Remove obsolete texlive-doc-base suggest: its previous content is in
    texlive-base, dependency of texlive-latex-base.
  * Update Vcs-* fields.
  * Remove ktexmaker2 breaks/replaces, as ktexmaker2 is dead for more than a
    decade.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove unused ${shlibs:Depends} from kile-doc.
  * Use ${perl:Depends} in kile.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2016 14:47:54 +0200

kile (4:2.1.3-3) unstable; urgency=low

  [ Mark Purcell ]
  * do NOT run optipng on the icons - patch from Philip Muskovac

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders with Mark's approval.
  * Moved the repo to git, update Vcs-[Browser Git].
  * Depend upon konsole4-kpart instead of konsole (Closes: #793747).
  * Add fix_doc_target.patch in order to avoid a FTBFS due to a CMake
    policy (Closes: #802403).
  * Update Standards-Version to 3.9.6, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 Oct 2015 16:08:24 -0300

kile (4:2.1.3-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - vcs-field-not-canonical & Standards-Version
  * Update debian/copyright GFDL-1.2 - fix copyright-refers-to-symlink-
    license
  * Update Description: fix extended-description-is-probably-too-short

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 16:49:50 +1000

kile (4:2.1.3-1) experimental; urgency=low

  * New upstream release
    - Fixes "Please package and upload new upstream" (Closes: #661686)
  * Fix "debian/watch 3-digit version numbers" (Closes: #699610)
  * debian/compat -> 9
  * kbibtex suitable for KDE4 use - Add to Suggests
    - Drop kubuntu_02_disable_embedded_kbibtex.diff

 -- Mark Purcell <msp@debian.org>  Sun, 14 Apr 2013 12:39:46 +1000
