=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do NOT run optipng on the icons, this removes the metadata in the latex
# symbol icons which kile depends on for the symbol table. LP: #772631
export NO_PNG_PKG_MANGLE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_install:
	dh_auto_install

	# Fix lintian warning: package-contains-readme-for-other-platform-or-distro
	rm -f debian/tmp/usr/share/doc/kile/README.MacOSX

	# Fix lintian warning: unknown-locale-code
	rm -rf debian/tmp/usr/share/locale/x-test

	# Fix lintian warning: script-not-executable
	find debian/tmp -type f -name '*.sh' -or -name '*.pl' | xargs chmod +x

override_dh_auto_test:
