=== src/data/complete/tex/CMakeLists.txt ===
file(GLOB kile_texCompleteFiles *.cwl)
install(FILES ${kile_texCompleteFiles} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/complete/tex)
