=== src/data/symbols-ng/cyrillic/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "cyrillic")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})
