=== src/data/symbols-ng/delimiters/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "delimiters")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})
