=== debian/changelog ===
kile (4:2.9.91-4) unstable; urgency=medium

  * Team upload.
  * Add the kinit dependency, needed to launch KIO slaves. (Closes: #886832)
  * Backport upstream commit 6790d4a47297ffe5e4cb7928d5d64f66a678c548 to avoid
    crashing when the Okular component is not installed; patch
    upstream_Do-not-crash-when-the-viewer-part-is-not-available.patch.
    (Closes: #887088, #887836)
  * Remove TODO.Debian, obsolete for a long time.
  * Recommend okular, as it is used for the live preview.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 15:36:57 +0100

kile (4:2.9.91-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879345)

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:37:03 +0100

kile (4:2.9.91-2) experimental; urgency=medium

  * Team upload.
  * Add missing epoch in the version of the okular-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 14:25:37 +0100

kile (4:2.9.91-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release:
    - switches to Qt5/KF5 (Closes: #874966)
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add qtbase5-dev, libkf5config-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, kinit-dev, libkf5khtml-dev, libkf5kio-dev,
      libkf5parts-dev, libkf5texteditor-dev, libkf5windowsystem-dev, and
      libkf5xmlgui-dev
  * Add new build dependencies: libpoppler-qt5-dev, okular-dev, and pkg-config.
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - fix_doc_target.patch: drop, obsolete
    - 01_install_doc.diff: drop, obsolete
    - 02_tex_doc_location.diff: refresh
    - kubuntu_01_improved_viewpart_warning.diff: drop, obsolete
  * Update install files
    - there are no translations in this version, so kile-l10n is temporarily
      empty
  * Update the runtime dependencies:
    - konsole4-kpart -> konsole-kpart
  * Stop removing or changing in dh_auto_install files/directories that do not
    exist anymore.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 13:05:21 +0100
