=== debian/control ===
--- 
+++ 
@@ -2,23 +2,40 @@
 Section: tex
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Mark Purcell <msp@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4.4),
-               pkg-kde-tools (>= 0.9.0),
+               extra-cmake-modules (>= 5.19.0~),
+               kinit-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               libpoppler-qt5-dev,
+               okular-dev (>= 4:17.08~),
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.3~),
                shared-mime-info
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://kile.sourceforge.net
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kile.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kile.git
 
 Package: kile
 Architecture: any
-Depends: konsole4-kpart, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
-Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
+Depends: kinit, konsole-kpart, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
+Recommends: dvipng, ghostscript, imagemagick, okular, psutils, texlive
 Suggests: aspell | ispell | hspell,
           asymptote,
           context,
