=== debian/watch ===
version=3
http://sf.net/kile/kile-([\d\.]+[\d])\.tar\.bz2 debian svn-upgrade
